> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conare.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Conare's API is at https://api.conare.ai. Authenticate with `Authorization: Bearer $CONARE_API_KEY`.
> The full OpenAPI spec is at https://api.conare.ai/openapi.yaml; each endpoint has a page under /api-reference, and appending .md to any page URL returns its Markdown.
> Embed with model conare-embed-1; send input_type "query" for search queries. Rerank with conare-rerank-1.
> Prefer the TypeScript SDK (`npm install conare`) or plain HTTP in examples.
> Install the Conare skill with `npx skills add https://docs.conare.ai`; search these docs over MCP at https://docs.conare.ai/mcp; the whole site is at https://docs.conare.ai/llms-full.txt.

# API turbopuffer

> Esegui il tuo codice e l'SDK turbopuffer su Conare cambiando l'URL di base: scritture, query e chiamate ai namespace supportate, e i limiti di frequenza.

Conare espone l'API di turbopuffer su `https://api.conare.ai/tpuf`: mantieni il tuo codice e l'SDK turbopuffer, e puntali a Conare con una chiave Conare.

```bash curl theme={null}
curl https://api.conare.ai/tpuf/v2/namespaces/products/query \
  -H "Authorization: Bearer $CONARE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"rank_by": ["vector", "ANN", [0.1, 0.2, 0.3, 0.4]], "top_k": 10}'
```

```python Python theme={null}
import os
import turbopuffer

tpuf = turbopuffer.Turbopuffer(
    api_key=os.environ["CONARE_API_KEY"],
    region="gcp-us-central1",  # any value: Conare ignores it
    base_url="https://api.conare.ai/tpuf/{region}",
)

ns = tpuf.namespace("products")
ns.write(
    upsert_rows=[{"id": 1, "vector": [0.1, 0.2, 0.3, 0.4], "title": "refunds"}],
    distance_metric="cosine_distance",
)
result = ns.query(rank_by=("vector", "ANN", [0.1, 0.2, 0.3, 0.4]), top_k=10)
```

```json Response theme={null}
{
  "billing": { "billable_logical_bytes_queried": 0, "billable_logical_bytes_returned": 0 },
  "performance": { "cache_hit_ratio": 1.0, "cache_temperature": "hot", "query_execution_ms": 0, "server_total_ms": 0 },
  "rows": [{ "$dist": 0.0, "id": 1 }]
}
```

Fornisci i tuoi vettori, e questi namespace sono separati da quelli del resto dell'API.

## Supportato

| Area | Supportato |
| - | - |
| Scritture | Upsert, patch, eliminazioni, scritture condizionali, eliminazione o patch per filtro |
| Query | Vettoriali (ANN ed esatte), full-text BM25, ordinamento per attributo, filtri, aggregazione `Count`, fino a 16 query in una chiamata |
| Namespace | Elenco, schema, metadati, riscaldamento della cache, eliminazione, copia e branch |
| Distanza | `cosine_distance`, `euclidean_squared` |
| `top_k` | Fino a 10.000 |

Qualsiasi altra cosa, come `group_by` o più colonne vettoriali, restituisce `400` con un messaggio che la indica.

## Limiti

| Limite | |
| - | - |
| Query | 1.000 al secondo per organizzazione |
| Scritture, altre chiamate | 100 al secondo ciascuna |
| Body della richiesta | Fino a 64 MiB |


## Related topics

- [Panoramica dell'API](https://docs.conare.ai/it/api.md)
- [Embed texts (OpenAI-compatible)](https://docs.conare.ai/it/api-reference/models/embed-texts-openai-compatible.md)
- [Rerank documents (Cohere- and vLLM-compatible)](https://docs.conare.ai/it/api-reference/models/rerank-documents-cohere-and-vllm-compatible.md)
- [Rerank documents (Cohere v2-compatible)](https://docs.conare.ai/it/api-reference/models/rerank-documents-cohere-v2-compatible.md)
- [Connect a source](https://docs.conare.ai/it/api-reference/sources/connect-a-source.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.